# openPilotLog: experimental::ATailEntry Struct Reference

experimental::ATailEntry Struct Reference
Inheritance diagram for experimental::ATailEntry:

## Public Member Functions

| ATailEntry (const ATailEntry &te)=default
ATailEntry & | operator= (const ATailEntry &te)=default
| ATailEntry (int row_id)
| ATailEntry (TableData table_data)
const QString | registration ()
const QString | type ()
Public Member Functions inherited from experimental::AEntry
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (TableData table_data)
| AEntry (DataPosition position_, TableData table_data)
void | setData (TableData table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition ()
const TableData & | getData ()

## Additional Inherited Members

Public Attributes inherited from experimental::AEntry
TableData | tableData
Protected Attributes inherited from experimental::AEntry
DataPosition | position

The documentation for this struct was generated from the following files:

- src/experimental/atailentry.h
- src/experimental/atailentry.cpp